package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.sql.Time;
import java.util.Date;

/**
 * 光伏并网计量-小时对象 adm_ems_pv_supply_h
 *
 * @author ruoyi
 * @date 2024-08-02
 */
public class PvSupplyH extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    private String areaCode;

    /**
     * 园区名称
     */
    @Excel(name = "园区名称")
    private String areaName;

    /**
     * 园区简称
     */
    private String areaShortName;

    /**
     * 设施代码
     */
    private String facsCode;

    /**
     * 设施名称
     */
    @Excel(name = "设施名称")
    private String facsName;

    /**
     * 日期 yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 时间 HH:mm:ss
     */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "时间 HH:mm:ss", width = 30, dateFormat = "HH:mm:ss")
    private Time time;

    /**
     * 时间序列
     */
    @Excel(name = "时间序列")
    private Long timeIndex;

    /**
     * 上网电价（1度电）
     */
    @Excel(name = "单位电价")
    private Double upUnitPrice;

    /**
     * 发电量 单位：kW-h（千瓦时）
     */
    @Excel(name = "发电量 单位：kW-h")
    private Double genElecQuantity;

    /**
     * 自用电量 单位：kW-h（千瓦时）
     */
    @Excel(name = "自用电量 单位：kW-h")
    private Double useElecQuantity;

    /**
     * 上网电量 单位：kW-h（千瓦时）
     */
    @Excel(name = "上网电量 单位：kW-h")
    private Double upElecQuantity;

    /**
     * 发电收益 单位: ￥（元）
     */
    @Excel(name = "发电收益 单位: ￥")
    private Double upElecEarn;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Time getTime() {
        return time;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Long getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Long timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Double getUpUnitPrice() {
        return upUnitPrice;
    }

    public void setUpUnitPrice(Double upUnitPrice) {
        this.upUnitPrice = upUnitPrice;
    }

    public Double getGenElecQuantity() {
        return genElecQuantity;
    }

    public void setGenElecQuantity(Double genElecQuantity) {
        this.genElecQuantity = genElecQuantity;
    }

    public Double getUseElecQuantity() {
        return useElecQuantity;
    }

    public void setUseElecQuantity(Double useElecQuantity) {
        this.useElecQuantity = useElecQuantity;
    }

    public Double getUpElecQuantity() {
        return upElecQuantity;
    }

    public void setUpElecQuantity(Double upElecQuantity) {
        this.upElecQuantity = upElecQuantity;
    }

    public Double getUpElecEarn() {
        return upElecEarn;
    }

    public void setUpElecEarn(Double upElecEarn) {
        this.upElecEarn = upElecEarn;
    }

    @Override
    public String toString() {
        return "PvSupplyH{" + "id=" + id + ", areaCode='" + areaCode + '\'' + ", areaName='" + areaName + '\''
            + ", areaShortName='" + areaShortName + '\'' + ", facsCode='" + facsCode + '\'' + ", facsName='" + facsName
            + '\'' + ", date=" + date + ", time=" + time + ", timeIndex=" + timeIndex + ", upUnitPrice=" + upUnitPrice
            + ", genElecQuantity=" + genElecQuantity + ", useElecQuantity=" + useElecQuantity + ", upElecQuantity="
            + upElecQuantity + ", upElecEarn=" + upElecEarn + '}';
    }
}
